%define upstream_name     Data-ICal
%define upstream_version  0.18

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        1

Summary:        Generates iCalendar (RFC 2445) calendar files
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Data-ICal/
Source0:        http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(Class::ReturnValue)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::LongString)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Text::vFile::asData)
BuildArch:      noarch
# rpm doesn't catch this
Requires:       perl(Class::Accessor)

%description
A Data::ICal object represents a VCALENDAR object as defined in the
iCalendar protocol (RFC 2445, MIME type "text/calendar"), as implemented in
many popular calendaring programs such as Apple's iCal.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
%makeinstall_std

#make pure_install PERL_INSTALL_ROOT=%{buildroot}

#find %{buildroot} -type f -name .packlist -exec rm -f {} \;
#find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

#chmod -R u+w %{buildroot}/*

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Wed Jan 11 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.180.0-1
+ Revision: 759751
- version update 0.18

* Mon Apr 18 2011 Funda Wang <fwang@mandriva.org> 0.160.0-2
+ Revision: 654906
- rebuild for updated spec-helper

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2011.0
+ Revision: 395131
- update to 0.16
- using %%perl_convert_version

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2009.1
+ Revision: 347686
- new version

* Thu Dec 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-1mdv2009.1
+ Revision: 309996
- import perl-Data-ICal

